Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## mycompiler.myoperator
Class Operator

    java.lang.Object
      mycompiler.myoperator.Operator

Direct Known Subclasses:
  AddOp, LogOp, MulOp, RelOp

    public abstract class Operator

extends java.lang.Object

Constructor Summary
`Operator()`

Method Summary
`abstract void` | `codegen(ClassFile classfile, CodeAttribute code, Expr expr, boolean neg_not, de.dhbwstuttgart.typeinference.Menge paralist)`
`abstract CTripleSet` | `TRExp(Binary binary, CSubstitutionSet sigma, CTypeAssumptionSet V, CSupportData supportData)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operator

    public Operator()

Method Detail

### codegen

    public abstract void codegen(ClassFile classfile,
                                 CodeAttribute code,
                                 Expr expr,
                                 boolean neg_not,
                                 de.dhbwstuttgart.typeinference.Menge paralist)
                          throws JVMCodeException

  Throws:
    `JVMCodeException`

### TRExp

    public abstract CTripleSet TRExp(Binary binary,
                                     CSubstitutionSet sigma,
                                     CTypeAssumptionSet V,
                                     CSupportData supportData)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD